Loading...
Searching...
No Matches
Ogre::Bullet::RigidBodyState Class Reference
Optional Components » Bullet

A MotionState is Bullet's way of informing you about updates to an object. More...

`#include <OgreBullet.h>`

Inheritance diagram for Ogre::Bullet::RigidBodyState:
[legend]

## Public Member Functions

| RigidBodyState (Node *node)
void | getWorldTransform (btTransform &ret) const override
void | setWorldTransform (const btTransform &in) override

## Detailed Description

A MotionState is Bullet's way of informing you about updates to an object.

Pass this MotionState to a btRigidBody to have your SceneNode updated automaticaly.

## Constructor & Destructor Documentation

## RigidBodyState()

Ogre::Bullet::RigidBodyState::RigidBodyState | ( | Node * | node | ) |

inline

## Member Function Documentation

## getWorldTransform()

void Ogre::Bullet::RigidBodyState::getWorldTransform | ( | btTransform & | ret | ) | const

inline override

References Ogre::Bullet::convert().

## setWorldTransform()

void Ogre::Bullet::RigidBodyState::setWorldTransform | ( | const btTransform & | in | ) |

inline override

The documentation for this class was generated from the following file:

- OgreBullet.h